/api/v1/result

šŸ”’ Requires mutual TLS (mTLS)
Clients must present a valid client certificate registered with Apata 3DSS.

Retrieve the final authentication result

Fetches the authentication result of a challenged transaction, using threeDSServerTransID.

This endpoint should be polled after a challenge result was received in the ARes (Authenticate returned transStatus = C or D), and the once the cardholder has completed the challenge. The response will include the final transStatus, and on success, the authenticationValue and eci for authorisation, plus liabilityShifted.

For a frictionless transaction, this information will already have been returned in the ARes and this endpoint will not need to be called.

🚧

Result not ready

If the challenge has not completed (or the transaction ID is unknown), the API will return a 404. Poll with a sensible backoff rather than tight-looping.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid

The 3DS Server transaction identifier (UUID) of the challenged transaction whose final authentication result is being retrieved.

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json